Finland
Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.
Request format
curl -X GET "https://newhedge.io/api/v2/companies/finland/METRIC_NAME?api_token=YOUR_TOKEN"
api_token (required) — 24 character token.
:metric_name — one of the company metric names listed below.
200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.
Metrics
Each company metric is fetched independently.
Bitcoin Acquisitions
Bitcoin acquisition history for the company.
https://newhedge.io/api/v2/companies/finland/bitcoin-acquisitions?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
{
"date": 1451606400000,
"type": "buy",
"coin_id": "bitcoin",
"source_url": "https://www.euronews.com/next/2022/04/28/finland-to-sell-confiscated-bitcoin-worth-75-million-to-support-ukraine-s-war-effort",
"holding_balance": 1981.0,
"holding_net_change": 1981.0,
"transaction_value_usd": 861505.1692611917,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
},
{
"date": 1658361600000,
"type": "sell",
"coin_id": "bitcoin",
"source_url": "https://tulli.fi/en/-/finnish-customs-sold-its-legally-forfeited-cryptocurrencies",
"holding_balance": 90.0,
"holding_net_change": -1891.0,
"transaction_value_usd": 43790901.16630426,
"average_entry_value_usd": 0.0,
"transaction_value_calculated": true
}
]
Bitcoin Holdings
Historical Bitcoin holdings for the company.
https://newhedge.io/api/v2/companies/finland/bitcoin-holdings?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
90.0
],
[
1779062400000,
90.0
],
[
1779148800000,
90.0
]
]
Bitcoin Holdings USD
Historical USD value of the company's Bitcoin holdings.
https://newhedge.io/api/v2/companies/finland/bitcoin-holdings-usd?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
[
[
1778976000000,
6968687.4
],
[
1779062400000,
6924984.300000001
],
[
1779148800000,
6908400.899999999
]
]
Price Data
Historical market price data stored on the company profile.
https://newhedge.io/api/v2/companies/finland/price-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Company Data
Company profile, fundamentals, and related reference data.
https://newhedge.io/api/v2/companies/finland/company-data?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Performance Metrics
Calculated performance metrics for the company.
https://newhedge.io/api/v2/companies/finland/performance-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"message": "Data unavailable for this company"
}
Treasury Metrics
Bitcoin treasury summary metrics for the company.
https://newhedge.io/api/v2/companies/finland/treasury-metrics?api_token=YOUR_TOKEN
Replace `YOUR_TOKEN` with your Newhedge API token.
{
"btc_percent_company": 0.0,
"total_btc_percentage": 0.0,
"share_price_change_state": "up"
}